﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace ActivitySample.Views
{
    public partial class RiaServicesActivity : Page
    {
        public RiaServicesActivity()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            (Resources["LinkAnimation"] as Storyboard).Begin();
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            (Resources["LinkAnimation"] as Storyboard).Stop();
        }

        private void Submit_Click(object sender, RoutedEventArgs e)
        {
            dds.SubmitChanges();
        }

        private void Reload_Click(object sender, RoutedEventArgs e)
        {
            if (!dds.IsBusy)
                dds.Load();
        }

        private void Cancel_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            dds.RejectChanges();
        }

    }
}
